### Class

# EDataBook DataBookCursorSqlite

since: 3.12

#### Description [src]

    class EDataBook.DataBookCursorSqlite : EDataBook.DataBookCursor
    {
      /* No available fields */
    }

An opaque handle for the SQLite cursor instance.

Available since: 3.12

#### Hierarchy

#### Ancestors

- EDataBookCursor
- GObject

#### Constructors

###### e_data_book_cursor_sqlite_new

Creates an `EDataBookCursor` and implements all of the cursor methods using the delegate `ebsql` object.

since: 3.12

#### Instance methods

##### Methods inherited from EDataBookCursor (11)

###### e_data_book_cursor_contact_added

Should be called by addressbook backends whenever a contact is added.

since: 3.12

###### e_data_book_cursor_contact_removed

Should be called by addressbook backends whenever a contact is removed.

since: 3.12

###### e_data_book_cursor_get_backend

Gets the backend which created and owns `cursor`.

since: 3.12

###### e_data_book_cursor_get_position

Fetch the current position of `cursor` in its result list.

since: 3.12

###### e_data_book_cursor_get_total

Fetch the total number of contacts which match `cursor`‘s query expression.

since: 3.12

###### e_data_book_cursor_load_locale

Load the current locale setting from the cursor’s underlying database.

since: 3.12

###### e_data_book_cursor_recalculate

Recalculates the cursor’s total and position, this is meant for cursor created in Direct Read Access mode to synchronously recalculate the position and total values when the addressbook revision has changed.

since: 3.12

###### e_data_book_cursor_register_gdbus_object

Places `cursor` on the `connection` at `object_path`.

since: 3.12

###### e_data_book_cursor_set_alphabetic_index

Sets the `cursor` position to an Alphabetic Index into the alphabet active in the `locale` of the addressbook.

since: 3.12

###### e_data_book_cursor_set_sexp

Sets the search expression for the cursor.

since: 3.12

###### e_data_book_cursor_step

Steps `cursor` through its sorted query by a maximum of `count` contacts starting from `origin`.

since: 3.12

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataBook.DataBookCursorSqlite:cursor

The `EbSqlCursor` pointer.

###### EDataBook.DataBookCursorSqlite:ebsql

The `EBookSqlite` to use for queries.

###### EDataBook.DataBookCursorSqlite:revision-key

The key name to fetch the revision from the sqlite backend.

##### Properties inherited from EDataBookCursor (3)

###### EDataBook.DataBookCursor:backend

The backend which created this cursor.

###### EDataBook.DataBookCursor:position

The current position of this cursor.

###### EDataBook.DataBookCursor:total

The total results for this cursor.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookDataBookCursorSqliteClass {
      /* no available fields */
    }

The SQLite cursor class structure.